package com.ruoyi.project.ehs.service;

import java.util.List;
import com.ruoyi.project.ehs.domain.TFirestandpipe;

/**
 * 消防竖管Service接口
 * 
 * @author ruoyi
 * @date 2020-11-25
 */
public interface ITFirestandpipeService 
{
    /**
     * 查询消防竖管
     * 
     * @param id 消防竖管ID
     * @return 消防竖管
     */
    public TFirestandpipe selectTFirestandpipeById(Long id);

    /**
     * 查询消防竖管列表
     * 
     * @param tFirestandpipe 消防竖管
     * @return 消防竖管集合
     */
    public List<TFirestandpipe> selectTFirestandpipeList(TFirestandpipe tFirestandpipe);

    /**
     * 定时任务查询消防竖管列表
     *
     * @param tFirestandpipe 消防竖管
     * @return 消防竖管集合
     */
    public List<TFirestandpipe> selectList(TFirestandpipe tFirestandpipe);

    /**
     * 新增消防竖管
     * 
     * @param tFirestandpipe 消防竖管
     * @return 结果
     */
    public int insertTFirestandpipe(TFirestandpipe tFirestandpipe);

    /**
     * 修改消防竖管
     * 
     * @param tFirestandpipe 消防竖管
     * @return 结果
     */
    public int updateTFirestandpipe(TFirestandpipe tFirestandpipe);

    /**
     * 批量删除消防竖管
     * 
     * @param ids 需要删除的消防竖管ID
     * @return 结果
     */
    public int deleteTFirestandpipeByIds(Long[] ids);

    /**
     * 删除消防竖管信息
     * 
     * @param id 消防竖管ID
     * @return 结果
     */
    public int deleteTFirestandpipeById(Long id);
}
